#include usgard.h

.org 0
.db "Slideshow",0

	#fncall gray_on
	ret c				; The carry will be set if to little memory.
						; Return to Usgard if that happens.
	ld hl, &Image
Loop:
	ld DE, &ImageEnd   ; Check if HL is already at the end of the buffer
	ld a,d
	sub h
	jr z, EndProg

Showpic:
	ld DE, (PAGE1ADDR)
	ld BC, 1024
	ldir
	ld DE, (PAGE2ADDR)
	ld BC, 1024
	ldir
	jr Wait_4_key

EndProg:
	#fncall gray_off
	ret					; Return to Usgard

Wait_4_key:
	ld d, h
	ld e, l
WaitLoop:
	call GET_KEY
	or	a
	jr	z, WaitLoop
	ld h, d
	ld l, e
	cp K_EXIT			; Compares A with the scancode for the exit key
	jr z, EndProg

	cp K_UP				; Compares with the UP key
	jr z, DoPrev
	cp K_LEFT
	jr z, DoPrev
	jr Loop

DoPrev:
	ld DE, &Image
	ld a, h
	sub 8
	cp d
	jr z, Skip1
	sub 8
Skip1:
	ld h, a
	jr Loop

Image:
	#incbin tempo
ImageEnd:
.end
